{ config, jovian, ... }:
{
  imports = [ jovian.nixosModules.jovian ];

  jovian = {
    steam = {
      enable = true;
      user = config.sysusers.main;
    };
    devices.steamdeck.enable = true;
    hardware.has.amd.gpu = true;
    decky-loader.enable = true;
  };

  nixpkgs.allowUnfreePackages = [
    "steam"
    "steam-jupiter-unwrapped"
    "steamdeck-firmware"
    "steamdeck-hw-theme"
  ];
}
